<?php
/**
 * Footer Theme Options
 *
 * @package prime-software-company
 */

$wp_customize->add_section( 'prime_software_company_footer_section' , array(
	'title'      => esc_html__( 'Footer Section', 'prime-software-company' ),
	'capability' => 'edit_theme_options',
	'panel' => 'prime_software_company_theme_section_panel'
) );

// Theme Name
$wp_customize->add_setting('prime_software_company_foot_themename', array(
    'default' => '- All Rights Reserved -',
    'sanitize_callback' => 'prime_software_company_sanitise_custom_texttitle',
));

$wp_customize->add_control('prime_software_company_foot_themename', array(
    'label'    => __('Theme Name', 'prime-software-company'),
    'section'  => 'prime_software_company_footer_section',
    'settings' => 'prime_software_company_foot_themename',
    'type'     => 'text',
));


// Footer icons 1
$wp_customize->add_setting('prime_software_company_foot_featured_icon_footer1', 
    array(
    'default'           => 'fa-brands fa-facebook-f',
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_foot_featured_icon_footer1', 
    array(
    'label'       => __('Icon 1', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_foot_featured_icon_footer1',        
    'type'        => 'text'
));

// Footer icons 1 Url
$wp_customize->add_setting('prime_software_company_featured_icon_url_footer1', 
    array(
    'default'           => ' ', 
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_featured_icon_url_footer1', 
    array(
    'label'       => __('Icon 1 Url', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_featured_icon_url_footer1',        
    'type'        => 'text'
));

// Footer icons 2
$wp_customize->add_setting('prime_software_company_foot_featured_icon_footer2', 
    array(
    'default'           => 'fa-brands fa-twitter',
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_foot_featured_icon_footer2', 
    array(
    'label'       => __('Icon 2', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_foot_featured_icon_footer2',        
    'type'        => 'text'
));

// Footer icons 2 Url
$wp_customize->add_setting('prime_software_company_featured_icon_url_footer2', 
    array(
    'default'           => ' ', 
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_featured_icon_url_footer2', 
    array(
    'label'       => __('Icon 2 Url', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_featured_icon_url_footer2',        
    'type'        => 'text'
));

// Footer icons 3
$wp_customize->add_setting('prime_software_company_foot_featured_icon_footer3', 
    array(
    'default'           => 'fa-brands fa-instagram',
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_foot_featured_icon_footer3', 
    array(
    'label'       => __('Icon 3', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_foot_featured_icon_footer3',        
    'type'        => 'text'
));

// Footer icons 3 Url
$wp_customize->add_setting('prime_software_company_featured_icon_url_footer3', 
    array(
    'default'           => ' ', 
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_featured_icon_url_footer3', 
    array(
    'label'       => __('Icon 3 Url', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_featured_icon_url_footer3',        
    'type'        => 'text'
));

// Footer icons 4
$wp_customize->add_setting('prime_software_company_foot_featured_icon_footer4', 
    array(
    'default'           => 'fa-brands fa-instagram',
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_foot_featured_icon_footer4', 
    array(
    'label'       => __('Icon 4', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_foot_featured_icon_footer4',        
    'type'        => 'text'
));

// Footer icons 4 Url
$wp_customize->add_setting('prime_software_company_featured_icon_url_footer4', 
    array(
    'default'           => ' ', 
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('prime_software_company_featured_icon_url_footer4', 
    array(
    'label'       => __('Icon 4 Url', 'prime-software-company'),
    'section'     => 'prime_software_company_footer_section',   
    'settings'    => 'prime_software_company_featured_icon_url_footer4',        
    'type'        => 'text'
));